2012年4月12日木曜日

Ubuntu 12.04 x86_64でNetExtender


普段利用しているSSL-VPNのクライアント「NetExtender」がLinuxでも使えるという事で、インストールしてみましたが、若干ハマったのでφ(..)メモメモ


環境


  • Ubuntu 12.04 x86_64 Beta
  • NetExtender 5.5.707


ダウンロード

こちらのデモサイトから、最新版のダウンロード

インストール

ダウンロードしたアーカイブを解凍
tar zxvf NetExtender.Linux.5.5.707.x86_64.tgz
インストール
cd netExtenderClient
sudo ./install 
するとエラーが発生してインストールできませんでした。


検索すると「Ubuntu Forums - [ubuntu] NetExtender」で同じようなことが起きているようでした。

installスクリプトをチェックすると
ldd netExtender
の結果が、出力されているようでしたので、実行


解決法は
libssl.so.6
libcrypto.so.6
のリンクを作って、再度インストールスクリプトを実行すればいい感じです。
以下、手順

リンク作成


lddの結果が正常になっていることを確認

再インストール

cd netExtenderClient
sudo ./install 
すると、インストールが成功します。

起動出来ました!


以上、何かのお役にたてば。

Zenback